/*
 * Copyright (c) Members of the EGEE Collaboration. 2004-2010.
 * See http://www.eu-egee.org/partners/ for details on the
 * copyright holders. 
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package org.glite.apel.core.config.parser;

/**
 * Exception thrown if an error occurs when parsing a command line list
 * of arguements or an XML document.
 */
public class ConfigurationException extends Exception {
    
    /**
     * The error id defining the config exception.
     */
    private int m_errorId;
    
    public ConfigurationException(int errorId, String message) {
    	super(message);
        m_errorId = errorId;
    }
    
    public int getErrorId() {
    	return m_errorId;
    }
    
}
