/*
 * Copyright (c) Members of the EGEE Collaboration. 2004-2010.
 * See http://www.eu-egee.org/partners/ for details on the
 * copyright holders. 
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.glite.apel.core.config.parser;

import java.util.HashMap;

/**
 * Contains a list of user error codes that may be generated by the 
 * XML/command line parsers.
 */
public class ErrorMsg {
    
    private static final HashMap MESSAGES = new HashMap();

    static {
        MESSAGES.put(new Integer(1), "Unknown option: ");
        MESSAGES.put(new Integer(2), "Property has no value specified: ");
        MESSAGES.put(new Integer(3), "Unrecognized argument: ");
        MESSAGES.put(new Integer(4), "problem occured while " +
            "reading config file, ");
        MESSAGES.put(new Integer(5), "Unknown attribute: ");
        MESSAGES.put(new Integer(6), "Unknown element: ");
    }
    
    public static final int BAD_CLI_ARG = 1;
    public static final int MISSING_PROP = 2;
    public static final int ARG_NOT_FOUND = 3;
    public static final int ERROR_PARSING_FILE = 4;
    public static final int UNKNOWN_ATTRIBUTE = 5;
    public static final int UNKNOWN_ELEMENT = 6;
    
    public static String get(int key) {
        return (String) MESSAGES.get(new Integer(key));
    }
    
}
