/*
 * Copyright (c) Members of the EGEE Collaboration. 2004-2010.
 * See http://www.eu-egee.org/partners/ for details on the
 * copyright holders. 
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package org.glite.apel.core.log.type;

import java.util.Iterator;

/**
 * Convenience class that provides a wrapper around a list of
 * EventRecords (this provides stronger static type checking).
 */
public class BlahdRecordIterator {
    
    /**
     * The iterator used when travesing the list of event records.
     */
    private Iterator m_iterator;
    
    public BlahdRecordIterator(Iterator it) {
    	m_iterator = it;
    }
    
    /**
     * Returns true if there are more elements to iterate.
     */
    public boolean hasNext() {
        return m_iterator.hasNext();
    }
    
    /**
     * Gets the next EventRecord if one exists.
     */
    public BlahdRecord next() {
    	return (BlahdRecord) m_iterator.next();
    }

    /**
     * remove last BlahdRecord if one exists.
     */
    public void remove() {
        m_iterator.remove();
    }

}
